package com.ejie.ab04b.webservice.client.documentowebservice;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * This object contains factory methods for each Java content interface and Java
 * element interface generated in the
 * com.ejie.ab04b.webservice.documentowebservice package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the
 * Java representation for XML content. The Java representation of XML content
 * can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory
 * methods for each of these are provided in this class.
 * 
 * @author GFI-NORTE
 */
@XmlRegistry()
public class ObjectFactory {

	private final static QName _GenerarInforme_QNAME = new QName(
			"http://com.ejie.aa19b.webservice", "generarInforme");
	private final static QName _Create_QNAME = new QName(
			"http://com.ejie.aa19b.webservice", "create");
	private final static QName _CreateMulti_QNAME = new QName(
			"http://com.ejie.aa19b.webservice", "createMulti");
	private final static QName _GenerarInformeResponse_QNAME = new QName(
			"http://com.ejie.aa19b.webservice", "generarInformeResponse");
	private final static QName _CreateResponse_QNAME = new QName(
			"http://com.ejie.aa19b.webservice", "createResponse");
	private final static QName _CreateMultiResponse_QNAME = new QName(
			"http://com.ejie.aa19b.webservice", "createMultiResponse");
	private final static QName _GenerarInformePif_QNAME = new QName(
			"http://com.ejie.aa19b.webservice", "generarInformePif");
	private final static QName _GenerarInformePifResponse_QNAME = new QName(
			"http://com.ejie.aa19b.webservice", "generarInformePifResponse");

	/**
	 * Create a new ObjectFactory that can be used to create new instances of
	 * schema derived classes for package:
	 * com.ejie.ab04b.webservice.documentowebservice
	 * 
	 */
	public ObjectFactory() {
	}

	/**
	 * Create an instance of {@link GenerarInformePifResponse }.
	 *
	 * @return objeto respuesta
	 */
	public GenerarInformePifResponse createGenerarInformePifResponse() {
		return new GenerarInformePifResponse();
	}

	/**
	 * Create an instance of {@link GenerarInformePif }.
	 *
	 * @return objeto respuesta
	 */
	public GenerarInformePif createGenerarInformePif() {
		return new GenerarInformePif();
	}

	/**
	 * Create an instance of {@link CreateResponse }.
	 *
	 * @return objeto respuesta
	 */
	public CreateResponse createCreateResponse() {
		return new CreateResponse();
	}

	/**
	 * CreateMulti an instance of {@link CreateResponse }.
	 *
	 * @return objeto respuesta
	 */
	public CreateMultiResponse createMultiCreateResponse() {
		return new CreateMultiResponse();
	}

	/**
	 * Create an instance of {@link GenerarInformeResponse }.
	 *
	 * @return objeto respuesta
	 */
	public GenerarInformeResponse createGenerarInformeResponse() {
		return new GenerarInformeResponse();
	}

	/**
	 * Create an instance of {@link Create }.
	 *
	 * @return objeto respuesta
	 */
	public Create createCreate() {
		return new Create();
	}

	/**
	 * Create an instance of {@link CreateMulti }.
	 *
	 * @return objeto respuesta
	 */
	public CreateMulti createMultiCreate() {
		return new CreateMulti();
	}

	/**
	 * Create an instance of {@link GenerarInforme }.
	 *
	 * @return objeto respuesta
	 */
	public GenerarInforme createGenerarInforme() {
		return new GenerarInforme();
	}

	/**
	 * Create an instance of {@link DefinicionPie }.
	 *
	 * @return objeto respuesta
	 */
	public DefinicionPie createDefinicionPie() {
		return new DefinicionPie();
	}

	/**
	 * Create an instance of {@link DefinicionCab }.
	 *
	 * @return objeto respuesta
	 */
	public DefinicionCab createDefinicionCab() {
		return new DefinicionCab();
	}

	/**
	 * Create an instance of {@link Elemento }.
	 *
	 * @return objeto respuesta
	 */
	public Elemento createElemento() {
		return new Elemento();
	}

	/**
	 * Create an instance of {@link Zona }.
	 *
	 * @return objeto respuesta
	 */
	public Zona createZona() {
		return new Zona();
	}

	/**
	 * Create an instance of {@link DefinicionPag }.
	 *
	 * @return objeto respuesta
	 */
	public DefinicionPag createDefinicionPag() {
		return new DefinicionPag();
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link GenerarInforme
	 * } {@code >}.
	 *
	 * @param value            GenerarInforme
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa19b.webservice", name = "generarInforme")
	public JAXBElement<GenerarInforme> createGenerarInforme(
			GenerarInforme value) {
		return new JAXBElement<GenerarInforme>(_GenerarInforme_QNAME,
				GenerarInforme.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link Create }
	 * {@code >}.
	 *
	 * @param value            Create
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa19b.webservice", name = "create")
	public JAXBElement<Create> createCreate(Create value) {
		return new JAXBElement<Create>(_Create_QNAME, Create.class, null,
				value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link CreateMulti }
	 * {@code >}.
	 *
	 * @param value            CreateMulti
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa19b.webservice", name = "createMulti")
	public JAXBElement<CreateMulti> createMultiCreate(CreateMulti value) {
		return new JAXBElement<CreateMulti>(_CreateMulti_QNAME,
				CreateMulti.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}
	 * {@link GenerarInformeResponse }{@code >}.
	 *
	 * @param value            GenerarInformeResponse
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa19b.webservice", name = "generarInformeResponse")
	public JAXBElement<GenerarInformeResponse> createGenerarInformeResponse(
			GenerarInformeResponse value) {
		return new JAXBElement<GenerarInformeResponse>(
				_GenerarInformeResponse_QNAME, GenerarInformeResponse.class,
				null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link CreateResponse
	 * } {@code >}.
	 *
	 * @param value            CreateResponse
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa19b.webservice", name = "createResponse")
	public JAXBElement<CreateResponse> createCreateResponse(
			CreateResponse value) {
		return new JAXBElement<CreateResponse>(_CreateResponse_QNAME,
				CreateResponse.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}
	 * {@link CreateMultiResponse }{@code >}.
	 *
	 * @param value            CreateMultiResponse
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa19b.webservice", name = "createMultiResponse")
	public JAXBElement<CreateMultiResponse> createMultiCreateResponse(
			CreateMultiResponse value) {
		return new JAXBElement<CreateMultiResponse>(_CreateMultiResponse_QNAME,
				CreateMultiResponse.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}
	 * {@link GenerarInformePif }{@code >}.
	 *
	 * @param value            GenerarInformePif
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa19b.webservice", name = "generarInformePif")
	public JAXBElement<GenerarInformePif> createGenerarInformePif(
			GenerarInformePif value) {
		return new JAXBElement<GenerarInformePif>(_GenerarInformePif_QNAME,
				GenerarInformePif.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}
	 * {@link GenerarInformePifResponse }{@code >}.
	 *
	 * @param value            GenerarInformePifResponse
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://com.ejie.aa19b.webservice", name = "generarInformePifResponse")
	public JAXBElement<GenerarInformePifResponse> createGenerarInformePifResponse(
			GenerarInformePifResponse value) {
		return new JAXBElement<GenerarInformePifResponse>(
				_GenerarInformePifResponse_QNAME,
				GenerarInformePifResponse.class, null, value);
	}

}
